> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoicing entity

> Retrieve a specific invoicing entity.



## OpenAPI

````yaml get /v1/invoicing-entities/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/invoicing-entities/{id}:
    get:
      tags:
        - Invoicing entities
      summary: Get invoicing entity
      description: Retrieve a specific invoicing entity.
      operationId: getInvoicingEntity
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier for the invoicing entity.
                    example: inv123
                  name:
                    type: string
                    description: The name of the invoicing entity.
                    example: Acme Corp
                  trade_name:
                    type: string
                    description: The trade name of the invoicing entity.
                    example: Acme
                  timezone:
                    type: string
                    description: The timezone the invoicing entity operates in.
                    example: America/New_York
                  language:
                    type: string
                    enum:
                      - fr
                      - en
                      - de
                      - it
                      - lt
                      - nl
                      - es
                      - pt
                      - pl
                    description: The default language of the invoicing entity.
                    example: en
                  is_default:
                    type: boolean
                    description: >-
                      Flag to indicate if this is the default invoicing entity.
                      If true, it will switch the other existing invoicing
                      entities to non-default.
                    example: true
                  currency:
                    type: string
                    enum:
                      - EUR
                      - AED
                      - AFN
                      - XCD
                      - ALL
                      - AMD
                      - AOA
                      - ARS
                      - USD
                      - AUD
                      - AWG
                      - AZN
                      - BAM
                      - BBD
                      - BDT
                      - BGN
                      - BHD
                      - BIF
                      - XOF
                      - BMD
                      - BND
                      - BOB
                      - BRL
                      - BSD
                      - BTN
                      - NOK
                      - BWP
                      - BYR
                      - BZD
                      - CAD
                      - CDF
                      - XAF
                      - CHF
                      - NZD
                      - CLP
                      - CNY
                      - COP
                      - CRC
                      - CUP
                      - CVE
                      - ANG
                      - CZK
                      - DJF
                      - DKK
                      - DOP
                      - DZD
                      - EGP
                      - MAD
                      - ERN
                      - ETB
                      - FJD
                      - FKP
                      - GBP
                      - GEL
                      - GHS
                      - GIP
                      - GMD
                      - GNF
                      - GTQ
                      - GYD
                      - HKD
                      - HNL
                      - HRK
                      - HTG
                      - HUF
                      - IDR
                      - ILS
                      - INR
                      - IQD
                      - IRR
                      - ISK
                      - JMD
                      - JOD
                      - JPY
                      - KES
                      - KGS
                      - KHR
                      - KMF
                      - KPW
                      - KRW
                      - KWD
                      - KYD
                      - KZT
                      - LAK
                      - LBP
                      - LKR
                      - LRD
                      - LSL
                      - LYD
                      - MDL
                      - MGA
                      - MKD
                      - MMK
                      - MNT
                      - MOP
                      - MRO
                      - MUR
                      - MVR
                      - MWK
                      - MXN
                      - MYR
                      - MZN
                      - NAD
                      - XPF
                      - NGN
                      - NIO
                      - NPR
                      - OMR
                      - PAB
                      - PEN
                      - PGK
                      - PHP
                      - PKR
                      - PLN
                      - PYG
                      - QAR
                      - RON
                      - RSD
                      - RUB
                      - RWF
                      - SAR
                      - SBD
                      - SCR
                      - SDG
                      - SEK
                      - SGD
                      - SHP
                      - SLL
                      - SOS
                      - SRD
                      - SSP
                      - STD
                      - SYP
                      - SZL
                      - THB
                      - TJS
                      - TMT
                      - TND
                      - TOP
                      - TRY
                      - TTD
                      - TWD
                      - TZS
                      - UAH
                      - UGX
                      - UYU
                      - UZS
                      - VEF
                      - VND
                      - VUV
                      - WST
                      - YER
                      - ZAR
                      - ZMW
                      - ZWL
                    description: The currency code that the invoicing entity operates in.
                    example: USD
                  accounting_currency:
                    type: string
                    description: The currency used for accounting purposes.
                    example: USD
                  address_line1:
                    type:
                      - string
                      - 'null'
                    description: The first line of the address for the invoicing entity.
                    example: 123 Elm St
                  address_line2:
                    type:
                      - string
                      - 'null'
                    description: The second line of the address for the invoicing entity.
                    example: Suite 5
                  zip_code:
                    type:
                      - string
                      - 'null'
                    description: The postal code for the invoicing entity's address.
                    example: '10001'
                  state:
                    type:
                      - string
                      - 'null'
                    description: >-
                      State or province of the address, stored as its code (the
                      second part of the ISO 3166-2 code, e.g. `CA` for `US-CA`)
                      for:

                      - United States: state, see [ISO
                      3166-2:US](https://en.wikipedia.org/wiki/ISO_3166-2:US)

                      - Canada: province or territory, see [ISO
                      3166-2:CA](https://en.wikipedia.org/wiki/ISO_3166-2:CA)

                      - Italy: province, see [ISO
                      3166-2:IT](https://en.wikipedia.org/wiki/ISO_3166-2:IT)

                      - Brazil: state, see [ISO
                      3166-2:BR](https://en.wikipedia.org/wiki/ISO_3166-2:BR)


                      A code or a name is accepted (e.g. `ON` or `Ontario`); a
                      value that matches neither for these countries is
                      rejected. For any other country, the state is ignored.
                    example: CA
                  city:
                    type:
                      - string
                      - 'null'
                    description: The city of the invoicing entity.
                    example: New York
                  country:
                    type: string
                    enum:
                      - AD
                      - AE
                      - AF
                      - AG
                      - AI
                      - AL
                      - AM
                      - AO
                      - AQ
                      - AR
                      - AS
                      - AT
                      - AU
                      - AW
                      - AX
                      - AZ
                      - BA
                      - BB
                      - BD
                      - BE
                      - BG
                      - BH
                      - BI
                      - BJ
                      - BL
                      - BM
                      - BN
                      - BO
                      - BQ
                      - BR
                      - BS
                      - BT
                      - BF
                      - BV
                      - BW
                      - BY
                      - BZ
                      - CA
                      - CC
                      - CD
                      - CF
                      - CG
                      - CH
                      - CI
                      - CK
                      - CL
                      - CM
                      - CN
                      - CO
                      - CR
                      - CU
                      - CV
                      - CW
                      - CX
                      - CY
                      - CZ
                      - DE
                      - DJ
                      - DK
                      - DM
                      - DO
                      - DZ
                      - EC
                      - EE
                      - EG
                      - EH
                      - ER
                      - ES
                      - ES-CE
                      - ES-ML
                      - ET
                      - FI
                      - FJ
                      - FK
                      - FM
                      - FO
                      - FR
                      - GA
                      - GB
                      - GD
                      - GE
                      - GF
                      - GG
                      - GH
                      - GI
                      - GL
                      - GM
                      - GN
                      - GP
                      - GQ
                      - GR
                      - GS
                      - GT
                      - GU
                      - GW
                      - GY
                      - HK
                      - HM
                      - HN
                      - HR
                      - HT
                      - HU
                      - IC
                      - ID
                      - IE
                      - IL
                      - IM
                      - IN
                      - IO
                      - IQ
                      - IR
                      - IS
                      - IT
                      - JE
                      - JM
                      - JO
                      - JP
                      - KE
                      - KG
                      - KH
                      - KI
                      - KM
                      - KN
                      - KP
                      - KR
                      - KW
                      - KY
                      - KZ
                      - LA
                      - LB
                      - LC
                      - LI
                      - LK
                      - LR
                      - LS
                      - LT
                      - LU
                      - LV
                      - LY
                      - MA
                      - MC
                      - MD
                      - ME
                      - MF
                      - MG
                      - MH
                      - MK
                      - ML
                      - MM
                      - MN
                      - MO
                      - MP
                      - MQ
                      - MR
                      - MS
                      - MT
                      - MU
                      - MV
                      - MW
                      - MX
                      - MY
                      - MZ
                      - NA
                      - NC
                      - NE
                      - NF
                      - NG
                      - NI
                      - NL
                      - 'NO'
                      - NP
                      - NR
                      - NU
                      - NZ
                      - OM
                      - PA
                      - PE
                      - PF
                      - PG
                      - PH
                      - PK
                      - PL
                      - PM
                      - PN
                      - PR
                      - PS
                      - PT
                      - PT-20
                      - PT-30
                      - PW
                      - PY
                      - QA
                      - RE
                      - RO
                      - RS
                      - RU
                      - RW
                      - SA
                      - SB
                      - SC
                      - SD
                      - SE
                      - SG
                      - SH
                      - SI
                      - SJ
                      - SK
                      - SL
                      - SM
                      - SN
                      - SO
                      - SR
                      - SS
                      - ST
                      - SV
                      - SX
                      - SY
                      - SZ
                      - TC
                      - TD
                      - TF
                      - TG
                      - TH
                      - TJ
                      - TK
                      - TL
                      - TM
                      - TN
                      - TO
                      - TR
                      - TT
                      - TV
                      - TW
                      - TZ
                      - UA
                      - UG
                      - UM
                      - US
                      - UY
                      - UZ
                      - VA
                      - VC
                      - VE
                      - VG
                      - VI
                      - VN
                      - VU
                      - WF
                      - WS
                      - XK
                      - YE
                      - YT
                      - ZA
                      - ZM
                      - ZW
                    description: >-
                      The country in which the invoicing entity is registered.
                      It cannot be changed after creation.
                    example: USA
                  registration_number:
                    type:
                      - string
                      - 'null'
                    description: The registration number of the invoicing entity.
                    example: '00011122334'
                  tax_id:
                    type:
                      - string
                      - 'null'
                    description: The tax identification number of the invoicing entity.
                    example: '123456789'
                  tax_id_valid:
                    type:
                      - boolean
                      - 'null'
                    description: Boolean indicating whether the tax ID is valid.
                    example: true
                  billing_email:
                    type:
                      - string
                      - 'null'
                    format: email
                    description: The billing email address for the invoicing entity.
                    example: billing@acmecorp.com
                  invoice_number_pattern:
                    type: string
                    description: >-
                      The pattern used for generating invoice numbers. Available
                      dynamic elements: number {number} (mandatory), year
                      {YYYY}, month {MM} and day {DD}.
                    example: INV-#####
                  credit_note_number_pattern:
                    type: string
                    description: >-
                      The pattern used for generating credit note numbers.
                      Available dynamic elements: number {number} (mandatory),
                      year {YYYY}, month {MM} and day {DD}.
                    example: CN-#####
                  document_number_pattern:
                    type: string
                    description: >-
                      The pattern used for generating document numbers.
                      Available dynamic elements: number {number} (mandatory),
                      year {YYYY}, month {MM} and day {DD}.
                    example: DOC-#####
                  next_invoice_number:
                    type: number
                    description: The next invoice number to be used.
                    example: 1001
                  next_credit_note_number:
                    type: number
                    description: The next credit note number to be used.
                    example: 201
                  next_document_number:
                    type: number
                    description: The next document number to be used.
                    example: 1501
                  default_payment_delay:
                    type: integer
                    description: The default payment term in days.
                    example: 30
                  invoice_grace_period_duration:
                    type: integer
                    description: The grace period duration in days.
                    example: 7
                  invoice_payment_initiation_delay:
                    type:
                      - integer
                      - 'null'
                    description: The payment initiation delay in days for the invoices.
                    example: 2
                  document_payment_initiation_delay:
                    type:
                      - integer
                      - 'null'
                    description: >-
                      The payment initiation delay in days for the custom
                      documents.
                    example: 2
                  invoice_late_fees:
                    type:
                      - string
                      - 'null'
                    description: The late fees applicable to the invoices.
                    example: 2% per month
                  invoice_footer:
                    type:
                      - string
                      - 'null'
                    description: The footer text to be used in invoices.
                    example: Thank you for your business.
                  document_footer:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The footer text to be used in documents. If not specified,
                      the invoice footer will be used.
                    example: Thank you for your business.
                  logo_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: URL of the logo to be used in invoices.
                    example: http://example.com/logo.png
                  favicon_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: URL of the logo to be used as favicon.
                    example: http://example.com/logo.png
                  brand_color:
                    type:
                      - string
                      - 'null'
                    minLength: 4
                    maxLength: 9
                    pattern: ^#
                    description: >-
                      Brand color to be used in invoices (hexadecimal color
                      code).
                    example: '#FF5733'
                  forced_customer_type:
                    type:
                      - string
                      - 'null'
                    enum:
                      - corporate
                      - person
                    description: >-
                      Forces all customers created under this invoicing entity
                      to have this type. Set to null to allow users to choose.
                    example: null
                  credit_note_wallet_refund_enabled:
                    type: boolean
                    description: >-
                      When enabled and no `refund_method` is specified, credit
                      note refunds default to the customer's wallet, including
                      credit notes generated by subscription updates,
                      cancellations, and transitions. An explicit
                      `refund_method` always wins. Requires wallets to be
                      enabled at the workspace level.
                    example: false
                  standalone_credit_note_creation_enabled:
                    type: boolean
                    description: >-
                      Whether credit notes without an original invoice can be
                      created under this invoicing entity. Defaults to `true`.
                    example: true
                  fx_conversion_display_enabled:
                    type: boolean
                    description: >-
                      Whether the exchange rate and converted amount in the
                      accounting currency are displayed on the invoice PDF when
                      the invoice currency differs from the accounting currency.
                      The conversion data is still stored and returned by the
                      API when disabled. Defaults to `true`.
                    example: true
                  created_at:
                    type: string
                    format: date
                    description: Creation date of the invoicing entity.
                    example: '2024-01-01T00:00:00Z'
                  updated_at:
                    type: string
                    format: date
                    description: Last edition date of the invoicing entity.
                    example: '2024-04-01T00:00:00Z'
                  deleted_at:
                    type:
                      - string
                      - 'null'
                    format: date
                    description: Date of the invoicing entity deletion.
                    example: null
                required:
                  - id
                  - name
                  - timezone
                  - language
                  - is_default
                  - currency
                  - accounting_currency
                  - address_line1
                  - address_line2
                  - zip_code
                  - state
                  - city
                  - country
                  - registration_number
                  - tax_id
                  - tax_id_valid
                  - billing_email
                  - invoice_number_pattern
                  - credit_note_number_pattern
                  - document_number_pattern
                  - next_invoice_number
                  - next_credit_note_number
                  - next_document_number
                  - default_payment_delay
                  - invoice_grace_period_duration
                  - invoice_payment_initiation_delay
                  - document_payment_initiation_delay
                  - invoice_late_fees
                  - invoice_footer
                  - document_footer
                  - logo_url
                  - favicon_url
                  - brand_color
                  - forced_customer_type
                  - credit_note_wallet_refund_enabled
                  - standalone_credit_note_creation_enabled
                  - fx_conversion_display_enabled
                  - created_at
                  - updated_at
                  - deleted_at
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.